@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// header
.app-header {
  @include padding(16px 16px 12px 0);
  @include flex(center, space-between);
  @include ubuntuMedium;
  font-size: 12px;
  line-height: 13px;

  span {
    flex: 0 1;
  }
}

// header total
.app-header-total {
  @include robotoBold;
  font-size: 16px;
  line-height: 19px;
  color: $eclipse;
  margin-left: 10px;
}

// sorts
.app-sorts {
  @include flex(center);
  margin-bottom: 12px;
}

// sorts label
.app-sorts-label {
  @include robotoRegular;
  font-size: 10px;
  line-height: 13px;
  margin-right: 8px;
}

// sort radio
.app-sort-radio {
  @include flex(center);
  @include ubuntuRegular;
  font-size: 10px;
  line-height: 11px;
  color: $dark-gray;
  cursor: pointer;
  user-select: none;

  &.selected {
    color: $eclipse;
  }

  app-radio {
    margin-right: 6px;
  }
}

// radio gap
.app-sort-radio + .app-sort-radio {
  margin-left: 14px;
}

// input area
.app-input-area {
  @include paddingRight(16px);
}

// search input
.app-search-input {
  @include flex(center);
  position: relative;

  input {
    @include padding(0 36px 0 10px);
    @include robotoRegular;
    width: 100%;
    height: 32px;
  }

  .app-icon {
    @include box(16px);
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);

    ::ng-deep {
      svg {
        @include box(11.6px);
      }

      path {
        fill: $egyptian-blue;
      }
    }
  }
}

// list
.app-list {
  @include paddingRight(16px);
  height: 350px;
}

// item
.app-item {
  @include padding(10px 35px 10px 4px);
  position: relative;

  .app-flex {
    @include flex(center, space-between);
  }

  .app-icon {
    @include box(18px);

    ::ng-deep {
      path {
        fill: $egyptian-blue;
      }
    }
  }

  app-icon-lock {
    ::ng-deep {
      svg {
        width: 12px;
        height: 15.75px;
      }
    }
  }

  app-icon-package {
    ::ng-deep {
      svg {
        width: 14.52px;
        height: 16px;
      }
    }
  }

  // right
  .app-right {
    @include flex(center, space-between);
    width: calc(100% - 35px);
    margin-left: 17px;

    .app-icon {
      @include box(16px);
      cursor: pointer;

      ::ng-deep {
        path {
          fill: $havelock-blue;
        }
      }

      &:hover {
        opacity: 0.8;
      }
    }
  }

  .app-add-user {
    position: absolute;
    right: 35px;
    top: 50%;
    margin-top: -8px;
    cursor: pointer;

    &:hover {
      opacity: 0.8;
    }

    ::ng-deep {
      path {
        fill: $havelock-blue;
      }
    }
  }
}

app-user-info {
  width: calc(100% - 28px);

  ::ng-deep {
    .app-right {
      width: calc(100% - 36px);
    }
  }
}

.app-item + .app-item {
  &::before {
    @include topRight;
    position: absolute;
    width: calc(100% - 4px - 18px - 17px);
    height: 1px;
    background-color: $solitude;
    content: '';
  }
}

// info
.app-info {
  width: calc(100% - 24px);

  // name
  .app-name {
    @include ubuntuMedium;
    font-size: 12px;
    line-height: 13px;
    color: $eclipse;
  }

  // state
  app-state-label {
    margin-top: 3px;
  }
}

app-spinner {
  @include padding(10px);

  ::ng-deep {
    .app-spinner {
      @include ball(28px);
    }
  }
}
